from codecs import open as codecs_open
from setuptools import setup, find_packages


# Get the long description from the relevant file
with codecs_open('README.md', encoding='utf-8') as f:
    long_description = f.read()


setup(name='planet_stack_finder',
      version='0.0.8',
      description=u"Find local clusters from geojson.",
      long_description=long_description,
      classifiers=[],
      keywords=['stack_finder', 'planet', 'planet labs', 'overlaps'],
      author=u"Josh Tennefoss",
      author_email='jt@planet.com',
      url='https://github.com/planetlabs/planet_stack_finder',
      download_url='https://github.com/planetlabs/planet_stack_finder/tarball/0.8',
      license='MIT',
      packages=find_packages(exclude=['ez_setup', 'examples', 'tests']),
      include_package_data=True,
      zip_safe=False,
      install_requires=[
          'click==4.1',
          'numpy==1.9.2',
          'scikit-learn==0.16.1',
          'scipy==0.16.0'
      ],
      extras_require={
          'test': ['pytest'],
      },
      entry_points="""
      [console_scripts]
      findstacks=stackfinder.cli:findstacks
      """
      )
